import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/PeterMaidaRobot/5d4544e1f12d8b4cc2704c4e98e6a21a/raw/a5705d4194dfe066a6e174dbfb8083d081696967/deaths_with_total_region_total_sex_total_ethnicity';


export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Year = +d.Year;
      d.RaceorEthnicity = d.RaceorEthnicity;
      d.Sex = d.Sex;
      d.AgeGroup = d.AgeGroup;
      d.FirearmDeaths = +d.FirearmDeaths;
      d.SuicideDeaths = +d.SuicideDeaths;
      d.AlcoholRelatedDeaths = +d.AlcoholRelatedDeaths
      d.TotalDeaths = +d.FirearmDeaths + +d.SuicideDeaths + +d.AlcoholRelatedDeaths;
  		
      d.value = d.TotalDeaths;
      
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};



// const generateData = (value, length = 5) =>
//   d3.range(length).map((item, index) => ({
//     date: index,
//     value: value === null || value === undefined ? Math.random() * 100 : value
//   }));

// export const useData = () => {



// 	const [data, setData] = useState(generateData(0));
//   const changeData = () => {
//     setData(generateData());
//   };

//   useEffect(
//     () => {
//       setData(generateData());
//     },
//     [!data]
//   );
// };
